
############ Autoconf-generated variables  ###################
INCLUDES = -I$(top_srcdir)/libkcal -I$(top_srcdir)/tderesources/remote -I$(top_srcdir) $(all_includes)

bin_PROGRAMS = karm
SUBDIRS = support pics test

METASOURCES = AUTO

COMPILE_BEFORE_karm = libtdepim tderesources

noinst_LTLIBRARIES = libkarm_shared.la

libkarm_shared_la_SOURCES = tdeaccelmenuwatch.cpp desktoptracker.cpp \
                edittaskdialog.cpp idletimedetector.cpp \
                printdialog.cpp timekard.cpp karmutility.cpp ktimewidget.cpp \
                karmstorage.cpp mainwindow.cpp preferences.cpp print.cpp \
                task.cpp taskview.cpp tray.cpp \
		csvexportdialog_base.ui csvexportdialog.cpp plannerparser.cpp \
		karmdcopiface.skel taskviewwhatsthis.cpp
libkarm_shared_la_LIBADD = $(top_builddir)/libkcal/libkcal.la \
	     $(top_builddir)/tderesources/remote/libkcal_resourceremote.la \
             $(top_builddir)/libtdepim/libtdepim.la $(LIBXSS) -ltdeprint 
karm_SOURCES = main.cpp
karm_LDADD = libkarm_shared.la 
karm_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
noinst_HEADERS = desktoptracker.h edittaskdialog.h printdialog.h \
                 idletimedetector.h tdeaccelmenuwatch.h timekard.h \
		 karmutility.h ktimewidget.h karmstorage.h mainwindow.h \
		 preferences.h print.h task.h taskview.h toolicons.h \
		 tray.h version.h csvexportdialog.h plannerparser.h taskviewwhatsthis.h

KDE_ICON = karm

rcdir = $(kde_datadir)/karm
rc_DATA = karmui.rc

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Utilities
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Utilities/karm.desktop

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/karm.pot

srcdoc:
	kdoc -a -p -H -d $(HOME)/web/src/karm karm *.h -ltdecore -ltdeui -lqt

DOXYGEN_REFERENCES = tdeui
include $(top_srcdir)/admin/Doxyfile.am

#########################################################################
# KPART SECTION
#########################################################################
kde_module_LTLIBRARIES = libkarmpart.la

# the Part's source, library search path, and link libraries
libkarmpart_la_SOURCES = karm_part.cpp 
libkarmpart_la_LDFLAGS = -module -avoid-version -no-undefined $(KDE_PLUGIN) $(all_libraries)
libkarmpart_la_LIBADD  = libkarm_shared.la $(LIB_TDEPARTS)

# this is where the desktop file will go 
partdesktopdir   = $(kde_servicesdir)
partdesktop_DATA = karm_part.desktop

# this is where the part's XML-GUI resource file goes
partrcdir   = $(kde_datadir)/karmpart
partrc_DATA = karmui.rc
